com.r3corda.core.contracts / DummyContract / State

# State

`class State : ContractState`

### Constructors

<init> | `State(magicNumber: Int = 0, notary: Party)`

### Properties

contract | `val contract: DummyContract` Contract by which the state belongs
magicNumber | `val magicNumber: Int`
notary | `val notary: Party` Identity of the notary that ensures this state is not used as an input to a transaction more than once